classdef NumericOptionMenu
    %NUMERICOPTIONPANEL Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        handle
    end
    
    methods
        
        function obj = NumericOptionMenu(parent, numvarlist , varargin)
            
           obj.handle = uimenu(parent, 'Label' , 'Layout' , varargin{:});
           
           optionlist = numvarlist.getOptions();
           
           for i=1:length(optionlist)
               SwitchMenuItem(obj.handle, optionlist{i} ,  @(x) numvarlist.setNumVarEnabled( optionlist{i} , x) ...
	       , @() numvarlist.isNumVarEnabled(optionlist{i}) , numvarlist, 'settingChanged'); 
           end
       
        end

    end
    
end

